gem- все статьи тега


Как считать непрочитанные сообщения в Ruby on Rails 3

Я использую gem mailboxer. Кто-нибудь может показать мне, как подсчитать количество непрочитанных сообщений в папке Входящие? Я попробовал: <%= current_user.mailbox.inbox.unread.count %> Но я получаю 'ArgumentError in Messages#received wrong number of arguments (0 for 1)' ...

Удаление старых версий Ruby gems

У меня есть несколько версий Руби Перл: $ gem list rjb (1.3.4, 1.3.3, 1.1.9) Как я могу удалить старые версии, но оставить последний? ...

Не удалось установить gem-не удалось построить собственное расширение gem - не удается загрузить такой файл-mkmf (LoadError)

Ruby 1.9.3 часть Gemfile #............... gem "pony" gem "bcrypt-ruby", :require => "bcrypt" gem "nokogiri" #.................. когда я пытаюсь установить камни, я получаю сообщение об ошибке alex@ubuntu:~/$ bundle Fetching gem metadata from http://rubygems.org/......... Fetching gem metadata from http://rubygems.org/.. Enter your password to install the bundled RubyGems to your system: #####............................................................ Installing bcrypt-ruby (3.0.1) wit ...

Настройка RSpec для тестирования драгоценного камня (не рельсы)

Это довольно легко с добавленным генератором rspec-rails для настройки RSpec для тестирования приложения Rails. Но как насчет добавления RSpec для тестирования драгоценного камня в разработке? Я не использую ювелира или такие инструменты. Я просто использовал упаковщик (bundle gem my_gem) для настройки структуры для нового драгоценного камня и редактирования *.gemspec вручную. Я также добавил s.add_development_dependency "rspec", ">= 2.0.0" к gemspec и сделал bundle install. есть ли хороший ...

Используя опцию --No-RDoc и ... нет-Ри с помощью Bundler

при использовании gem install gem_name Я могу пройти --no-rdoc и --no-ri переключается, чтобы пропустить создание документации RDoc/RI для gem при установке. есть ли аналогичный способ сделать это с bundle install? ...

"gem install therubyracer-v '0.10.2 '" на osx mavericks не устанавливается

попытка установить therubyracer на mavericks с помощью "gem install therubyracer-v '0.10.2' " но я получаю следующую ошибку: /Users/dennischen/.rvm/rubies/ruby-1.9.3-p194/bin/ruby extconf.rb checking for main() in -lobjc... yes creating Makefile make compiling rr.cpp clang: warning: argument unused during compilation: '-rdynamic' rr.cpp:48:1: warning: control reaches end of non-void function [-Wreturn-type] } ^ 1 warning generated. compiling v8.cpp clang: warning: argument unused during compil ...

Невозможно установить PG gem На мой mac с Mavericks

Я пытаюсь установить PG gem, чтобы снова работать с моими проектами rails. Но я получаю эту ошибку: строительство собственных расширений. Это может занять некоторое время... Ошибка: Ошибка установка pg: ошибка: не удалось создать собственное расширение gem. /Users/jeanosorio/.rvm/rubies/ruby-2.0.0-p247/bin/ruby extconf.rb checking for pg_config... no No pg_config... trying anyway. If здание терпит неудачу, пожалуйста, попробуйте еще раз с --с помощью-pg-config=/path/to/pg_confi ...

Почему я не могу установить SQLite gem?

Я пытаюсь установить SQLite gem на Fedora 9 Linux box с Ruby 1.8.6, Rails 2.2.2, gem 1.3 и sqlite-3.5.9. Вот команда, которую я запускаю, и ее результаты: sudo gem install sqlite3-ruby Building native extensions. This could take a while... ERROR: Error installing sqlite3-ruby: ERROR: Failed to build gem native extension. /usr/bin/ruby extconf.rb install sqlite3-ruby can't find header files for ruby. Gem files will remain installed in /usr/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.4 for in ...